Subject: Re: bug#15358: 24.3.50; Remove message: "You can run the command `make-frame' with <ns-new-frame>"

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Sep 2013 13:59:37 -0400

> When the user right-clicks on the Emacs icon in the dock, there is a New
> frame command there.  nsterm.m turns that event into an Emacs Lisp event,
> that keyboard.c with system-key-alist turns into ns-new-frame.
> The binding is in the global key map.  Is there a better place?

The place looks about right, but these events aren't "key presses",
so just like we don't mention "menu keybindings", we shouldn't mention
these either.

Menu-bar bindings are normally not mentioned in such messages and these
"gui event" bindings shouldn't either.  So maybe we should move those
bindings to a submap (e.g. with a `gui' prefix, similar to the
`menu-bar' prefix for menu events), which we can then add to
Vmouse_events (in src/keymap.c).

        Stefan